"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _reactNativeModal = _interopRequireDefault(require("react-native-modal"));

var _SimpleImageView = _interopRequireDefault(require("./SimpleImageView"));

var _CloseButton = _interopRequireDefault(require("./CloseButton"));

var _styles = require("./styles");

var _Utils = require("./Utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const SimpleImageViewer = _ref => {
  let {
    isVisible = false,
    imageUri,
    images = [],
    onClose,
    bgColor = '#333333',
    viewMode = 'multi',
    showTitle = false,
    selectedIndex = 0,
    perPage = 3,
    leftHanded = false
  } = _ref;
  const [complementaryBgColor] = (0, _react.useState)((0, _Utils.getComplementaryColor)(bgColor));
  const [thisVisible, setThisVisible] = (0, _react.useState)(false);
  (0, _react.useEffect)(() => {
    setThisVisible(isVisible);
  }, [isVisible]);

  const closeModal = () => {
    setThisVisible(false);
    if (onClose) onClose(false);
  };

  return /*#__PURE__*/_react.default.createElement(_reactNativeModal.default, {
    isVisible: thisVisible,
    animationIn: 'fadeIn',
    animationOut: 'fadeOut',
    style: [_styles.styles.modal, {
      backgroundColor: bgColor
    }]
  }, /*#__PURE__*/_react.default.createElement(_SimpleImageView.default, {
    viewMode: viewMode,
    perPage: perPage,
    selectedIndex: selectedIndex,
    imageUri: imageUri,
    images: images,
    showTitle: showTitle,
    bgColor: bgColor,
    complementaryBgColor: complementaryBgColor
  }), /*#__PURE__*/_react.default.createElement(_CloseButton.default, {
    handed: leftHanded,
    onClose: closeModal,
    closeButtonColor: complementaryBgColor
  }));
};

var _default = SimpleImageViewer;
exports.default = _default;
//# sourceMappingURL=SimpleImageViewer.js.map